Last Comment Bug 658582 - Re-submitting IDN patch for Pakistan IDN ccTLD
: Re-submitting IDN patch for Pakistan IDN ccTLD
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: Networking: Domain Lists (show other bugs)
: unspecified
: All All
: -- normal (vote)
: ---
Assigned To: Gervase Markham [:gerv]
:
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-05-20 10:32 PDT by Jothan Frakes
Modified: 2011-06-21 16:21 PDT (History)
2 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Pakistan IDN ccTLD patch (690 bytes, patch)
2011-05-20 10:32 PDT, Jothan Frakes
no flags Details | Diff | Splinter Review

Description Jothan Frakes 2011-05-20 10:32:48 PDT
Created attachment 534020 [details] [diff] [review]
Pakistan IDN ccTLD patch

There was a blacklist character (u200E) in each of the native strings for the two IDN entries for Pakistan in Bug 658084.  I suspect it was an artifact of cut-paste in the composition of the patch.

The character has been removed, the strings now round trip correctly from native string to punicode and back, and I believe that the attached patch remedies the issue.
Comment 1 Jothan Frakes 2011-05-25 01:00:38 PDT
This needs to be applied for the next release, we missed the window on this being applied for the current build.
Comment 2 Gervase Markham [:gerv] 2011-06-06 02:32:16 PDT
I believe the correct value is now checked in on all branches.

Gerv

Note You need to log in before you can comment on or make changes to this bug.